/* Interface for Button class
 *
 * Copyright (C)  1993, 1994, 1995  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Tom Pavel, Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * Button.h,v 1.31 1995/04/18 01:43:50 pfkeb Exp
 */

#ifndef _Button_h_
#define _Button_h_

#include "Control.h"
#include "graphics.h"


@interface Button:Control
{
    int    popup;
}
// + setCellClass:factoryId;

- init;
- initFrame:(const NXRect *)frameRect;
// - initFrame:(const NXRect *)frameRect title:(const char *)aString 
//         tag:(int)anInt target:anObject action:(SEL)aSelector 
//         key:(unsigned short)charCode enabled:(BOOL)flag;
// - initFrame:(const NXRect *)frameRect icon:(const char *)aString 
//         tag:(int)anInt target:anObject action:(SEL)aSelector 
//         key:(unsigned short)charCode enabled:(BOOL)flag;
// - (const char *)title;

- setTitle:(const char *)aString;

// - setTitleNoCopy:(const char *)aString;
// - (const char *)altTitle;
// - setAltTitle:(const char *)aString;

- (const char *)icon;
- setIcon:(const char *)iconName;

// - (const char *)altIcon;
// - setAltIcon:(const char *)iconName;
// - image;
// - setImage:image;
// - altImage;
// - setAltImage:image;
// - (int)iconPosition;
// - setIconPosition:(int)aPosition;
// - setIcon:(const char *)iconName position:(int)aPosition;
// - setType:(int)aType;

- (int)state;
- setState:(int)value;

// - (BOOL)isBordered;
// - setBordered:(BOOL)flag;
// - (BOOL)isTransparent;
// - setTransparent:(BOOL)flag;
// - setPeriodicDelay:(float)delay andInterval:(float)interval;
// - getPeriodicDelay:(float *)delay andInterval:(float *)interval;
// - (unsigned short)keyEquivalent;
// - setKeyEquivalent:(unsigned short)charCode;
// - sound;
// - setSound:soundObj;
// - display;
// - highlight:(BOOL)flag;
// - (BOOL)performKeyEquivalent:(NXEvent *)theEvent;

- performClick:sender;

// - (BOOL)acceptsFirstMouse;

+ new;
+ newFrame:(const NXRect *)frameRect;
// + newFrame:(const NXRect *)frameRect title:(const char *)aString 
//        tag:(int)anInt target:anObject action:(SEL)aSelector 
//        key:(unsigned short)charCode enabled:(BOOL)flag;
// + newFrame:(const NXRect *)frameRect icon:(const char *)aString 
//        tag:(int)anInt target:anObject action:(SEL)aSelector 
//        key:(unsigned short)charCode enabled:(BOOL)flag;

/* The following methods are not in NeXTSTEP */

- read:(TypedStream *)ts;
- awake;
- _managedBy:parent wid:(void *)widget;

@end

#endif /* _Button_h_ */
