/* Interface for FontManager class
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * FontManager.h,v 1.7 1994/12/08 19:43:49 pfkeb Exp
 */

/*
 * This class is here just to keep unarchiving happy since a CustomObject 
 * of this class is in the list of objects archived if the application
 * has a FontPanel menu item.   We don't do anything with it for now
 * but might have a use for it in the future.
 */
 
#ifndef _FONT_MANAGER
#define _FONT_MANAGER

#include <objc/Object.h>

#define NXFontTraitMask int

@interface FontManager : Object
{
    id      delegate;
    id      panel;
    id      menu;
    SEL     action;
    int     whatToDo;
    NXFontTraitMask traitToChange;
    id      selFont;
    struct _fmFlags 
    {
        unsigned int multipleFont:1;
        unsigned int disabled:1;
        unsigned int _PADDING:14;
    } fmFlags;
    
}
 
- setDelegate:anObject;
- delegate;

@end

#endif	/* _FONT_MANAGER */
