/* Interface for PopUpList class
 *
 * Copyright (C)  1993, 1994, 1995  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, and Libing Wang (SLAC)
 *          Mike Kienenberger (Alaska)
 *
 * This file is part of an Objective-C class library for a window system
 *
 * PopUpList.h,v 1.28 1995/04/18 01:43:54 pfkeb Exp
 */
 
#ifndef _PopUpList_h_
#define _PopUpList_h_

#include "Menu.h"

@class MenuCell;
@interface PopUpList:Menu
{
    void 	*_parentwidget;
    int		_menu_type;	// 0 - popup, 1 - pulldown
}

- init;
- setAction:(SEL)aSelector;
- (SEL)action;
- setTarget:anObject;
- target;
- (const char *)selectedItem;
- addItem:(const char *)title;
- addItem:(const char *)aString andRealize:(BOOL)flag;
- removeItemAt:(unsigned int)index;
- (int)indexOfItem:(const char *)title;
- insertItem:(const char *)title at:(unsigned int)index;
- read:(TypedStream *)ts;
- awake;
@end

#endif   /* _PopUpList_h_ */
