/* Interface for Slider class
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * Slider.h,v 1.16 1994/06/19 20:25:07 pfkeb Exp
 */

#ifndef _Slider_h_
#define _Slider_h_

#include "Control.h"

@interface Slider:Control
{
}

- initFrame:(const NXRect *)frameRect;
- (double)minValue;
- setMinValue:(double)aDouble;
- (double)maxValue;
- setMaxValue:(double)aDouble;
- setTitle:(const char *)aString;
- (int)isVertical;

@end

#endif /* _Slider_h_ */
