/* WidgetSet category mplementation of ScrollView class for X/Motif
 *
 * Copyright (C)  1995  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Paul Kunz
 *
 * This file is part of an Objective-C class library for X/Motif
 *
 * xmScrollView.m,v 1.4 1995/04/11 00:01:54 pfkeb Exp
 */

#include "ScrollView.h"
#include "xtResponder.h"

#include "Box.h"
#include "Motif.h"

char *ScrollViewInstanceName(void)
{
    return "ScrollView";
}

@implementation ScrollView(WidgetSet)

- _setBorder
{
    switch (borderType) {
    case NX_NOBORDER :
        [self _setArg:XmNshadowThickness to:0];
        break;
    case NX_LINE :
        break;
    case NX_BEZEL :
    	[self _setArg:XmNshadowType to:XmSHADOW_IN];
    	[self _setArg:XmNshadowThickness to:BEZEL_THICKNESS];
        break;
    case NX_GROOVE :
    	[self _setArg:XmNshadowType to:XmSHADOW_ETCHED_IN];
        break;
    default :
    	break;
    }
    return self;
}

- _addCallback
{
  /* The superclass is View which uses DrawingArea widget that
   * supports exposure callback.   But this class uses 
   * BulletinBoard widget which doesn't
   */
    return self;
}
 
@end
