/*
    NXCachedImageRep - wrapped for cashing images

    Copyright (c) 1994, 1995,  Adam Fedor.

    Implementation of display specific methods for X-Windows
*/

#include "NXCachedImageRep.h"

#include "Application.h"
#include "Window.h"
#include "dpsclient/XtGState.h"

const char *NXCachedImageRepInstanceName(void)
{
    return "NXCachedImageRep";
}

@implementation NXCachedImageRep(ToolKit)

/* Copy the contents of our window to the lock-focused window */
- (BOOL)_displayDraw
{
    XWContext	context = (XWContext)[NXApp context];
    XtGState	*gstate;
    Drawable	source;

    gstate = (XtGState *)context->gstate;
    if ( !gstate || ![gstate hasDrawable]) {
	fprintf(stderr, "CachedImageRep: Focus not locked on any view\n");
	return NO;
    }
    if (![gstate hasGraphicContext]) {
	fprintf(stderr, "CachedImageRep: gstate has no graphic context\n");
	return NO;
    }
    source = (Drawable)[_window perform:@selector(_backingPixmap)];
    if (!source) {
	Widget mywidget = (Widget)[_window _shell];
	if (mywidget)
    	    source = XtWindow(mywidget);
    }
    if (!source) {
	fprintf(stderr, "Error (CachedImageRep): Not realized. Can't draw\n");
	return NO;
    }
    [gstate copyDrawable:source fromRect:&_rect];
    return YES;
}

@end
