/*
    NXImageRep.m - Abstract image representation.

    Copyright (c) 1993, 1994, 1995,  Adam Fedor. 

    Implementation of display specific methods for X-Windows.
*/

#include "NXImageRep.h"

#include "Application.h"
#include "dpsclient/XtGState.h"

const char *NXImageRepInstanceName(void)
{
    return "NXImageRep";
}


@implementation NXImageRep(ToolKit)

- (BOOL)_displayDrawAt:(const NXPoint *)point
{
    XWContext	context;
    XtGState	*gstate;

    context = (XWContext)[NXApp context];
    gstate = (XtGState *)context->gstate;
    if (![gstate hasWidget]) {
        fprintf(stderr, "ImageRep: Focus not locked on any view\n");
        return NO;
    }
    if (![gstate hasGraphicContext]) {
        fprintf(stderr, "ImageRep: gstate has no graphic context\n");
        return NO;
    }
    [gstate translate:point];
    return YES;
}

@end
