/* GNU OpenStep interface file for Responder class ToolKit category
 *
 * Copyright (C)  1995  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Keith Mason, and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * xtResponder.h,v 1.5 1995/06/26 23:03:15 fedor Exp
 */
 

#ifndef _xtRESPONDER_H_
#define _xtRESPONDER_H_

#include "Responder.h"

#define Object X11Object	/* To avoid problems with Objective C */
#define Window X11Window
#define String X11String
#include <X11/IntrinsicP.h>
#undef Object
#undef Window
#undef String

@interface Responder(ToolKit)
- makeNXEvent:(NXEvent *)nx fromXEvent:(XEvent *)event;
- (BOOL) isLastExposeEvent:(XEvent *)event;
- _addArg:(const char *)name :(XtArgVal)value;
- _setArg:(const char *)name to:(XtArgVal)value;

- _getArg:(const char *)name into:(XtArgVal *)value;
/*
 * Returns the requested resource.   'value' should be a pointer
 * to type of the correct size for the returned result
 */
 
- (void *)_arglist;
- (int)_numargs;
- _setnumargs:(int)val;
@end


#endif  _xtRESPONDER_H_
