# common.make - Common makefile for objcX libraries, etc.
# Provides definitions for several common targets used in makes.
#
#common.make,v 1.7 1995/02/14 23:18:21 fedor Exp
#

all::

debug::
	$(MAKE) all CFLAGS="-g -Wall -DDEBUG"

profile::
	$(MAKE) all CFLAGS="-g -p -Wall -DDEBUG -DPROFILE"

CFLAGS = -g -Wall
OBJCFLAGS = -Wno-import

SUPPORTFILES = Makefile makefile

# This is non-intuitive since some makes can't handle
# the macro $(CLASSES:.m=.o) for large number of .m files
OFILES = $(CLASSES) $(MFILES) $(CFILES)

MAKEFILES = Makefile 
MAKEDEPEND = $(OSDIR)/makedepend

GARBAGE = $(NAME) *.o gmon.out *~ $(OTHERGARBAGE)

# Various commands:
SHELL  = /bin/sh
TAR    = tar
RM     = rm -f
ECHO   = echo
TOUCH  = touch
# location of the following can vary
AWK    = awk
AR     = ar
ARFLAGS = rc
CP     = cp

.SUFFIXES: .m 

# Compilation rules:
.c.o:
	$(CC) $(CFLAGS) $(OTHER_CFLAGS) -c $*.c -o $*.o
.m.o:
	$(CC) $(CFLAGS) $(OTHER_CFLAGS) $(OBJCFLAGS) -c $*.m -o $*.o
.m.a:
	$(CC) $(CFLAGS) $(OTHER_CFLAGS) -c -o $% $<
	ar rv $@ $%
	rm -f $%
.c.a:
	$(CC) $(CFLAGS) $(OTHER_CFLAGS) -c -o $% $<
	ar rv $@ $%
	rm -f $%

# Build a set of dependencies for current level into Makefile.dependencies 
odepend::
	$(RM) -f Makefile.dependencies
	$(CC) -MM -Wno-import $(CFLAGS) $(OTHER_CFLAGS) *.[cm] | \
	    $(AWK) '{ if ($$1 != prev) { if (rec != "") print rec; \
		rec = $$0; prev = $$1; } \
		else { if (length(rec $$2) > 70) { print rec; rec = $$0; } \
		else rec = rec " " $$2 } } \
		END { print rec }' > Makefile.dependencies

libdepend:
	$(MAKEDEPEND) -fMakefile.dependencies -p$(TARGLIB)\( -o.o\) -I.. -I. \
		*.[cm]

clean:: 
	$(RM) -f $(GARBAGE)

distclean:: clean
	$(RM) -f Makefile Makefile.dependencies Makefile.dependencies.bak

realclean:: distclean
