/* CGTMatrix - Object encapsulation of coordinate transforms
 *
 * Authors: Adam Fedor
 *
 * This file is part of an Objective-C class library for X-window system
 *
 * CGTMatrix.h,v 1.1 1995/04/17 22:46:00 fedor Exp
 */

#ifndef __CGTMatrix_h_
#define __CGTMatrix_h_

#include <objc/Object.h>
#include "dpsclient/cgt.h"
#include "appkit/graphics.h"

@interface CGTMatrix : Object
{
    cgt_t	cgt;
}

- translate: (NXPoint)point;
- rotate: (NXCoord)degrees;
- scale: (NXSize)scale;
- scale:(float)x :(float)y;
- concatMatrix: (cgt_t)acgt;
- invert;

- (NXPoint) offset;
- (NXSize) scale;
- (NXCoord) rotation;
- (cgt_t) currentMatrix;

- (NXPoint) transformPoint: (NXPoint)aPoint;
- (NXRect) transformRect: (NXRect)aRect;

@end

#endif /* __CGTMatrix_h_ */
