/*  Archiving Category for TextField
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Scott Francis, Paul Kunz, and Imran Qureshi

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmTextField.m,v 1.12 1995/04/14 19:36:16 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#include "XmView.h"
#include <appkit/TextField.h>


@interface TextField (XmArchiving)
- write:(TypedStream *)stream;
@end

@implementation TextField (XmArchiving)
- write:(TypedStream *)stream
{
    int                 a, b, c, d;

    [super write:stream];

#ifdef DEBUG
    printf("\n->TextField");
#endif
    a = [self isEditable];
    b = [self isSelectable];
    c = [self isBezeled];
    d = [self isBordered];
    objc_write_types(stream, "iiii", &a, &b, &c, &d);

    return self;
}

- setTextDelegate:anObject
{
#ifdef DEBUG
    printf(" connecting delegate as %p for %p\n", anObject, self);
#endif
    textDelegate = anObject;
    return self;

}
@end
