/*  Archiving Category for View
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Scott Francis, Paul Kunz, Imran Qureshi, and Libing Wang

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmView.m,v 1.21 1995/05/16 00:50:19 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "/NextDeveloper/Headers/objc/Object.h"

#define NXTypedStream TypedStream
#include "objc/typedstream.h"
#include <appkit/View.h>
#include <stdio.h>
#include <stdlib.h>

/* This brings definition of objc_write_float,objc_write_rect */
#include "archive-def.h"


@implementation View (XmArchiving)
- write:(TypedStream *)stream
{
    int		count;
    unsigned int autosizing = [self autosizing];
    unsigned int autoresizeSubviews = _vFlags.autoresizeSubviews;
    
    [super write:stream];

    objc_write_rect(stream, &frame);
    objc_write_type(stream, "i", &autosizing);
    objc_write_type(stream, "i", &autoresizeSubviews);

 /* Now write out the subviews */

    count = [subviews count];

#ifdef DEBUG
    if ( count )
    	printf("->(View with %d subviews)", count);
    else
    	printf("->View");
#endif

    objc_write_object(stream,subviews);

    return self;
}
@end
