/*
    streams - Definitions and macros for streams package 

    Copyright (C) 1994. Adam Fedor

    streams.c,v 1.3 1994/11/14 04:57:37 lakata Exp

    Right now this is just a simple package based on stdio meant to 
    provide compile compatability with NeXT's streams package.

 */
#include <streams/streams.h>
#include <appkit/appkit.h>
#include <stdlib.h>

/* This routine is a bit simplistic.  "rw" doesn't exist on sun unix */
/*
static const char *
type_for_mode(int mode)
{
    char *type = NULL;

    if (mode == NX_READONLY)
	type = "r";
    else if (mode == NX_WRITEONLY)
	type = "w";
    else if (mode == NX_READWRITE)
        type = "rw";
    
    return type;
}
*/

NXStream *
NXOpenFile(int fd, int mode)
{
    NXStream 	*stream = NULL;

    /*
    const char*	type;

    type = type_for_mode(mode);
    if (type)
        stream = fdopen(fd, type);
        */
    if (mode == NX_READONLY)
        stream = fdopen(fd, "r");
    else if (mode == NX_WRITEONLY)
        stream = fdopen(fd, "w");
    else if (mode == NX_READWRITE) {
/* READWRITE should work whether or not the file exists already. */
/* here, if it doesn't exist, it is created. */       
        if ((stream = fdopen(fd, "r+")) == NULL) {
            stream = fdopen(fd, "w+");
        }
    }

    return stream;
}

/* Need a real streams package for this */
/* THIS IS NOT IMPLEMENTED CORRECTLY, but it should work for a while */
NXStream *
NXOpenMemory(const char *addr, int size, int mode)
{
    char tempname[20];

    strcpy(tempname,"/tmp/NXStreamXXXXXX");
    NXGetTempFilename(tempname,13);
    return NXMapFile(tempname,mode);
}

NXStream *
NXMapFile(const char *name, int mode)
{
    NXStream 	*stream = NULL;

    /*
    const char*	type;

    type = type_for_mode(mode);
    if (type)
        stream = fopen(name, type);
        */
    if (mode == NX_READONLY)
        stream = fopen(name, "r");
    else if (mode == NX_WRITEONLY)
        stream = fopen(name, "w");
    else if (mode == NX_READWRITE) {
/* READWRITE should work whether or not the file exists already. */
/* here, if it doesn't exist, it is created. */       
        if ((stream = fopen(name, "r+")) == NULL) {
            stream = fopen(name, "w+");
        }
    }
    

    return stream;
}

/* Need a real streams package for this */
/* THIS IS NOT IMPLEMENTED CORRECTLY, but it should work for a while */
int 
NXSaveToFile(NXStream *s, const char *name)
{
    FILE *outputfile;
    long temppos;
    char byte;
    
    
    if ((outputfile = fopen(name,"w")) == NULL)
        return -1;
    temppos = ftell(s);
    rewind(s);
    while ( (byte=getc(s))!= EOF) {
        putc(byte,outputfile);
    }
    fseek(s,temppos,0);
    return fclose(outputfile)==0?0:-1;
    
}

/* Need a real streams package for this */
/* THIS IS NOT IMPLEMENTED CORRECTLY, but it should work for a while */
void 
NXGetMemoryBuffer(NXStream *s, char **addr, int *len, int *maxlen)
{
}

/* Need a real streams package for this */
void 
NXCloseMemory(NXStream *s, int option)
{
    NXClose(s);
}

void useredit(const char *filename)
{
    char buffer[256];
    char *editorname = NULL;
    
    if (editorname == NULL) {
        editorname = getenv("EDITOR");
        if (editorname == NULL) {
            editorname = "/bin/vi";
        }
    }
    
    sprintf(buffer,"%s %s",editorname,filename);
    system(buffer);
}


